# MorphoBluePriceRangeTrigger

### Description

Trigger contract that verifies if current token price ratio is outside of given range specified during subscription.

> **Notes**
>
> This uses the Morpho oracle, which returns the price of the collateral token in terms of the loan token. The trigger expects the price inputs to be scaled by 1e8. It is possible to check only one side of the range by setting the other side price to 0.

### Trigger ID

`0x23825034`

### SDK Action

```ts
const morphoBluePriceRangeTrigger = new dfs.triggers.MorphoBluePriceRangeTrigger(
    oracle,
    collateralToken,
    loanToken,
    lowerPrice,
    upperPrice
);
```

### Subscription Parameters

```solidity
/// @param oracle address of the morpho oracle from the market
/// @param collateralToken address of the collateral token from the market
/// @param loanToken address of the loan token from the market
/// @param lowerPrice lower price of the collateral token in terms of the loan token that represents the triggerable point.
/// @param upperPrice upper price of the collateral token in terms of the loan token that represents the triggerable point.
struct SubParams {
    address oracle;
    address collateralToken;
    address loanToken;
    uint256 lowerPrice;
    uint256 upperPrice;
}
```

### Calldata Parameters

```solidity
None
```

### IsChangeable

`false`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/triggers/morphoblue/morphobluepricerangetrigger.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
